## org.gjt.sp.jedit.gui
Class KeyEventTranslator.Key

    java.lang.Object
      org.gjt.sp.jedit.gui.KeyEventTranslator.Key

Enclosing class:
  KeyEventTranslator

public static class KeyEventTranslator.Key
extends java.lang.Object

Field Summary
`char` `input`
`int` `key`
`java.lang.String` `modifiers`

Constructor Summary
`KeyEventTranslator.Key(java.lang.String modifiers, int key, char input)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### modifiers

    public java.lang.String modifiers

### key

    public int key

### input

    public char input

Constructor Detail

### KeyEventTranslator.Key

    public KeyEventTranslator.Key(java.lang.String modifiers,
                                  int key,
                                  char input)

Method Detail

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()